@echo off
set appname="GetURLFile"
set debug=0
set console=1
set run=0
set upx=0

set BIN=\masm32\bin
set LIB=\masm32\lib
set INCLUDE=\masm32\Include

if not exist %bin%\ml.exe goto patherror

if %console%==1 goto console
if %debug%==1 goto windebugver

:winreleasever
    %bin%\ml /c /coff /Cp %appname%.asm
    echo.
    %bin%\polink /SUBSYSTEM:WINDOWS /RELEASE /VERSION:4.0 %appname%.obj
    goto finish

:windebugver
    %bin%\ml /c /coff /Cp /Fm /Zi /Zd %appname%.asm
    echo.
    %bin%\polink /SUBSYSTEM:WINDOWS /DEBUG /DEBUGTYPE:CV /VERSION:4.0 /INCREMENTAL:NO %appname%.obj
    goto finish

:console
if %debug%==1 goto consoledebugver

:consolereleasever
    %bin%\ml /c /coff /Cp %appname%.asm
    echo.
    %bin%\polink /SUBSYSTEM:CONSOLE /RELEASE /VERSION:4.0 %appname%.obj
    goto finish

:consoledebugver
    %bin%\ml /c /coff /Cp /Fm /Zi /Zd %appname%.asm
    echo.
    %bin%\polink /SUBSYSTEM:CONSOLE /DEBUG /VERSION:4.0 %appname%.obj

:finish
    echo.
    if %upx%==0 goto done
    %bin%\upx.exe %appname%.exe
:done
    del .\*.obj
    echo.
    pause
    cls

if %run%==0 goto end

:runafter
    %appname%.exe
    goto end

:patherror
    echo.
    echo  ML.EXE was not found in the path - compilation terminated.

:end

rem Universal makeit.bat v1.01 by Mark Jones 2005